package com.gct.tool.entity.centralbase;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.lang.reflect.Field;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 采出井井筒状态日数据
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CbPcProWellboreStatusDaily对象", description="采出井井筒状态日数据")
@TableName("centralbase.cb_pc_pro_wellbore_status_daily")
public class CbPcProWellboreStatusDaily extends Model<CbPcProWellboreStatusDaily> {

    private static final long serialVersionUID=1L;

    private String wellId;

    @ApiModelProperty(value = "日期")
    private LocalDateTime prodDate;

    @ApiModelProperty(value = "采出方式")
    private String oilProdMethod;

    @ApiModelProperty(value = "油嘴 mm")
    private Double oilNozzle;

    @ApiModelProperty(value = "回压  Mpa")
    private Double backPres;

    @ApiModelProperty(value = "上行电流")
    private Double upCurrent;

    @ApiModelProperty(value = "下行电流  A")
    private Double downCurrent;

    @ApiModelProperty(value = "电泵的三相电流之一 A")
    private Double elecPumpCurrentA;

    @ApiModelProperty(value = "电泵的三相电流之一")
    private Double elecPumpCurrentB;

    @ApiModelProperty(value = "电泵的三相电流之一")
    private Double elecPumpCurrentC;

    @ApiModelProperty(value = "电泵的电压  V")
    private Double elecPumpVoltage;

    @ApiModelProperty(value = "热采：油气通过油嘴降压后的井口温度 ℃")
    private Double whTemp;

    @ApiModelProperty(value = "计量站输气干线压力 MPa")
    private Double mainLinePres;

    @ApiModelProperty(value = " 平均油压 MPa")
    private Double avgOilPres;

    @ApiModelProperty(value = "平均套压")
    private Double avgCasingPres;

    @ApiModelProperty(value = "油压")
    private Double tubingPres;

    @ApiModelProperty(value = "套压")
    private Double casingPres;

    @ApiModelProperty(value = "抽油杆下深 m")
    private Double cableSettingDepth;

    @ApiModelProperty(value = "泵深 m")
    private Double pumpDepth;

    @ApiModelProperty(value = "套管内径 mm")
    private Double casingInnerDiameter;

    @ApiModelProperty(value = "动液面深度  m")
    private Double startPumpLiqLevel;

    @ApiModelProperty(value = "抽油井停抽时的液面深度 m")
    private Double endPumpLiqLevel;

    @ApiModelProperty(value = "沉没度 m")
    private Double  submergenceDepth;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
