package com.gct.tool.entity.centralbase;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.lang.reflect.Field;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 采出井井筒生产日数据
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CbPcProWellboreVolDaily对象", description="采出井井筒生产日数据")
@TableName("centralbase.cb_pc_pro_wellbore_vol_daily")
public class CbPcProWellboreVolDaily extends Model<CbPcProWellboreVolDaily> {

    private static final long serialVersionUID=1L;

    private String wellId;

    @ApiModelProperty(value = "日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private LocalDateTime prodDate;

    @ApiModelProperty(value = "采出井开井生产小时数 h")
    private Double prodTime;

    @ApiModelProperty(value = "日产液量 t")
    private Double liqProdDaily;

    @ApiModelProperty(value = "日产油量 t")
    private Double oilProdDaily;

    @ApiModelProperty(value = "日产水量 t")
    private Double waterProdDaily;

    @ApiModelProperty(value = "日产气量 m^3")
    private Double gasProdDaily;

    @ApiModelProperty(value = "含水率 %")
    private Double waterCut;

    @ApiModelProperty(value = "含砂率 %")
    private Double sandContentRatio;

    @ApiModelProperty(value = "气油比 m^3/t")
    private Double gasOilRatio;

    @ApiModelProperty(value = "气体含硫物量  mg/m^3")
    private Double gasFluidContent;

    @ApiModelProperty(value = "气体含氯根量mg/L")
    private Double gasChlorideContent;

    @ApiModelProperty(value = "措施类别")
    private String stimKeyId;

    @ApiModelProperty(value = "水气比 t/10^4m^3")
    private Double waterGasRatio;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "六小措施")
    private String stimContent;

    @ApiModelProperty(value = "水密度")
    private Double surfaceCrudeWaterDensity;

    @ApiModelProperty(value = "油密度")
    private Double surfaceCrudeOilDensity;

    @Override
    protected Serializable pkVal() {
        return null;
    }


}
