package com.gct.tool.entity.centralbase;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.lang.reflect.Field;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 机采数据 runtime
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CbTempWellMechRuntime对象", description="机采数据 runtime")
@TableName("centralbase.cb_temp_well_mech_runtime")
//@ShardingJDBCAnnotation()
public class CbTempWellMechRuntime extends Model<CbTempWellMechRuntime> {

    private static final long serialVersionUID=1L;

    private String wellId;

    @ApiModelProperty(value = "采集日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private LocalDateTime prodDate;


    @ApiModelProperty(value = "理论排量")
    private Double theoDischarge;

    @ApiModelProperty(value = "示功图解释代码 区别定义厂家，型号，解码方式等")
    private String indiDiagramInterpCode;

    @ApiModelProperty(value = "动液面 m")
    private Double dynamicLiqLevel;

    @ApiModelProperty(value = "静液面 m")
    private Double staticLiqLev;

    @ApiModelProperty(value = "静压 Mpa")
    private Double staticPressure;

    @ApiModelProperty(value = "流压 MPa")
    private Double flowPres;

    @ApiModelProperty(value = "泵径;抽油泵的活塞直径 mm")
    private Double pumpDiameter;

    @ApiModelProperty(value = "泵深;抽油泵下入深度 m")
    private Double pumpDepth;

    @ApiModelProperty(value = "泵效;抽油泵的抽油效率 %")
    private Double pumpEfficiency;

    @ApiModelProperty(value = "转速;螺杆泵的转子每分钟旋转的圈数 rpm")
    private Double rotateFrequency;

    @ApiModelProperty(value = "冲程;抽油机的冲程 m")
    private Double strokeLength;

    @ApiModelProperty(value = "冲次;抽油机的冲次 次/min")
    private Double strokeFrequency;

    @ApiModelProperty(value = "悬点最大载荷;抽油机井悬点承受的最大载荷包括液体重量、杆柱重量等 KN")
    private Double suspMaxLoad;

    @ApiModelProperty(value = "悬点最小载荷;抽油机井悬点承受的最小载荷，出现在下冲程")
    private Double suspMinLoad;

    @ApiModelProperty(value = "螺杆泵铭牌排量;螺杆泵每转的理论排量")
    private Double pumpTagDischarge;

    @ApiModelProperty(value = "代表流压梯度 MPa/m")
    private Double repPressureGradientFlow;

    @ApiModelProperty(value = "泵型")
    private String pumpType;

    @ApiModelProperty(value = "电机功率 kw")
    private Double electromotorPower;

    @ApiModelProperty(value = "电流频率")
    private Double elecFrequency;

    private LocalDateTime diagramInterpCodeTime;

    @ApiModelProperty(value = "示功图内容")
    private String sgt;

    @ApiModelProperty(value = "电流 A   A")
    private Double elecPumpCurrentA;

    private Double elecPumpCurrentB;

    private Double elecPumpCurrentC;

    @ApiModelProperty(value = "电功图")
    private String dgt;


    @Override
    protected Serializable pkVal() {
        return null;
    }



}
