package com.gct.tool.service;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.util.ResourceUtils;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Service
@Slf4j
public class BaseResourceService {

    private List<String> wellIds;

    private Map<String,String> urlMap;

    public List<String> getWellIds() {
        return wellIds;
    }

    public Map<String,String> getUrlMap(){
        return urlMap;
    };

    private void readWellId(){
        try {
            FileInputStream fs = new FileInputStream( ResourceUtils.getFile("classpath:well.txt"));
            BufferedReader br = new BufferedReader(new InputStreamReader(fs));
            String wellIdString = br.readLine();
            wellIds = Arrays.stream(wellIdString.split(",")).collect(Collectors.toList());
        } catch (Exception e) {
            e.printStackTrace();
            log.error("读取井号文件失败，程序退出");
            System.exit(0);
        }
    }

    private void readUrl(){
        try {
            urlMap = new HashMap<>();
            FileInputStream fs = new FileInputStream( ResourceUtils.getFile("classpath:url.txt"));
            BufferedReader br = new BufferedReader(new InputStreamReader(fs));
            String urlStr;
            while ((urlStr= br.readLine())!=null){
                String[] split = urlStr.split(",");
                urlMap.put(split[0],split[1]);
            }
        } catch (Exception e) {
            e.printStackTrace();
            log.error("读取URL文件失败，程序退出");
            System.exit(0);
        }
    }

    public BaseResourceService(){
        readWellId();
        readUrl();
    }
}
