package com.gct.tool.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.gct.tool.entity.sql.QueryBody;
import com.gct.tool.feign.DataBankClient;
import com.gct.tool.feign.DataBankTokenClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.SQLOutput;
import java.util.*;

@Service
@Slf4j
public class LoadBaseDataService {

    final String identity = "CDF03A45C9BF4D9B85155364FAAEE08C14D85F6D51774A59GMXF6MBQG4ZDOKZXL4YF6KZSGEZGEKZWMBQTMKZVL43WCYJVG4XWCMLDGUXT22DKO43TAZ3CMYXXEL3AMFWWWN3ROFXGEZZSONYDAMBTGEYTKLRVGEZTONZXFYXTAMBSF4YDAMQ";

    @Autowired
    BaseResourceService baseResourceService;

    @Autowired
    DataBankClient dataBankClient;
    @Autowired
    DataBankTokenClient tokenClient;

    private void printMap(Object o,boolean isPrintNull,Set<String>filterSet){
        ((Map)o).forEach((k,v)->{
            if ((isPrintNull || Objects.nonNull(v))&&(Objects.isNull(filterSet)|| filterSet.contains(k)))
                System.out.printf("%s:%s\n",k,v);
        });
    }
    /**
     * @return
     */
    public void loadCdWellSource() {
        List<String> wellIds = baseResourceService.getWellIds();
//        wellIds = wellIds.subList(0, 1);
        Set<String> filterSet = new HashSet<>();
        filterSet.addAll(Arrays.asList("WELL_ID", "WELL_COMMON_NAME", "WELL_LEGAL_NAME"));
        wellIds.forEach(wellId -> {
            QueryBody queryBody = new QueryBody();
            queryBody.select("TL").eq("WELL_LEGAL_NAME", wellId);
            JSONObject object = dataBankClient.getCdWellData(queryBody.toJsonMap(), 0, 10, identity);
            System.out.println(object);
            JSONArray array = object.getJSONObject("resultData").getJSONArray("content");
//            ((Map) array.get(0)).forEach((k,v)-> System.out.printf(k+","));
            System.out.println("");
            array.forEach(o -> {
                printMap(o,false,null);
//                System.out.printf("%s,%s\n",((Map) o).get("WELL_LEGAL_NAME"),((Map) o).get("WELL_ID"));
            });
        });
    }

    public void loadVolDailyData(){

    }

    public void loadStatusDailyData(){

    }

}
